APIs in Category: net | 7-Mode API version 1.20

net-config-get-active net-config-get-persistent net-config-set-persistent net-dcb-list-info net-dcb-priority-list-info net-get-address-info net-ifconfig-get net-ifconfig-set net-ipspace-assign net-ipspace-create net-ipspace-destroy net-ipspace-list net-ping net-ping-info net-resolve net-reverse-resolve net-route-add net-route-delete net-vlan-create net-vlan-delete | The net APIs provide network management from ONTAP.

NetApp Manage ONTAP

net-config-get-active | [top]

> Output the current network config Output includes vlans, ifgrps and static routes with information from vlan, ifgrp, route & ifconfig commands

> Output Name | Range | Type | Description
> net-config-info |  | net-config-info | Active network configuration.

> Errno | Description
> EINTERFACENOTFOUND |  |

net-config-get-persistent | [top]

> Reads filer's /etc/rc and outputs contents.

> Output Name | Range | Type | Description
> net-config-info |  | net-config-info | Persistent network configuration (/etc/rc).

> Errno | Description
> EINVALIDINPUTERROR |  |

net-config-set-persistent | [top]

> Writes filer's persistent network config.

> Input Name | Range | Type | Description
> net-config-info |  | net-config-info | Persistent network configuration (/etc/rc).

> Errno | Description
> EINVALIDINPUTERROR |  |

net-dcb-list-info | [top]

> Returns the current Data Center Bridging (DCB) configuration for a specified network interface or all network interfaces indexed by the priority group id.

> Input Name | Range | Type | Description
> interface-name |  | string optional | The network interface name. If not specified, the priority group associated DCB configuration for all DCB-capable network interfaces will be displayed.
> priority-group-id |  | integer optional | The Priority Group ID. Range: [0..15] If not specified, the DCB configuration for all assigned priority groups will be displayed.
> Output Name | Range | Type | Description
> net-dcb-entries |  | net-dcb-entry-info[] | A list of DCB configuration entries for each network interface.

> Errno | Description
> EINVALIDINPUTERROR |  |

net-dcb-priority-list-info | [top]

> Returns the current Data Center Bridging (DCB) configuration for a specified network interface or all network interfaces indexed by the DCB priority.

> Input Name | Range | Type | Description
> interface-name |  | string optional | The interface name. If not specified, the priority associated DCB configuration for all DCB-capable network interfaces will be displayed.
> priority |  | integer optional | The priority. Range: [0..7] If not specified, the priority associated DCB configuration for all DCB priorities will be displayed.
> Output Name | Range | Type | Description
> net-dcb-priority-entries |  | net-dcb-priority-entry-info[] | A list of DCB configuration entries indexed by the priority.

> Errno | Description
> EINVALIDINPUTERROR |  |

net-get-address-info | [top]

> Resolves a host name to one or more IPv4 or IPv6 addresses. Returns appropriate errorcode if the host name cannot be resolved.

> Input Name | Range | Type | Description
> host-info |  | host-info | Contains name of the host to be resolved, hints will be provided in order to return the appropriate type of addresses, service name for which the address will be used.
> Output Name | Range | Type | Description
> host-result |  | net-address-info[] | Contains a list of IPv4 and/or IPv6 addresses corresponding to the hostname.

> Errno | Description
> E_ADDRFAMILY |  |
> E_AGAIN |  |
> E_BADFLAGS |  |
> E_FAIL |  |
> E_FAMILY |  |
> E_MEMORY |  |
> E_NODATA |  |
> E_NONAME |  |
> E_SERVICE |  |
> E_SOCKTYPE |  |
> E_SYSTEM |  |
> E_BADHINTS |  |
> E_PROTOCOL |  |
> E_NXDOMAIN |  |
> E_RESNULL |  |

> Vfiler-enabled
> Yes

net-ifconfig-get | [top]

> Output the current configuration for one interface.

> Input Name | Range | Type | Description
> interface-name |  | string optional | This is the name of the interface to display. If not provided, all interfaces will be displayed.
> Output Name | Range | Type | Description
> interface-config-info |  | interface-config-info[] | configuration of interface

> Errno | Description
> EINTERFACENOTFOUND |  |
> ENOPARTNERIFC |  |
> EINVALIDINPUTERROR |  |

net-ifconfig-set | [top]

> Configure network interface. Does not modify persistent config.

> Input Name | Range | Type | Description
> interface-config-info |  | interface-config-info | Interface configuration.

> Errno | Description
> EINTERFACENOTFOUND |  |
> ENETMASKINVALID |  |
> EBROADCASTINVALID |  |
> EIOCTLERROR |  |
> EINTERNALERROR |  |
> EINVALIDINPUTERROR |  |

net-ipspace-assign | [top]

> Assign a list of interfaces to an ipspace. Modifies persistent config.

> Input Name | Range | Type | Description
> ipspace-config-info |  | ipspace-config-info | Ipspace to create.

> Errno | Description
> EIPSPACEDOESNOTEXIST |  |
> EINVALIDINPUTERROR |  |
> EINTERNALERROR |  |
> EINTERFACENOTFOUND |  |
> EMGMTIFC |  |

net-ipspace-create | [top]

> Create a new ipspace. Modifies persistent config.

> Input Name | Range | Type | Description
> ipspace-config-info |  | ipspace-config-info | Ipspace to create.

> Errno | Description
> EIPSPACEDOESNOTEXIST |  |
> EINVALIDINPUTERROR |  |
> EINTERNALERROR |  |
> EINTERFACENOTFOUND |  |
> EMGMTIFC |  |

net-ipspace-destroy | [top]

> Destroy an ipspace. Modifies persistent config.

> Input Name | Range | Type | Description
> ipspace-name |  | string | IPSpace name.

> Errno | Description
> EIPSPACEDOESNOTEXIST |  |
> EINVALIDINPUTERROR |  |
> EINTERNALERROR |  |
> EMGMTIFC |  |

net-ipspace-list | [top]

> List ipspaces.

> Output Name | Range | Type | Description
> ipspace-list |  | ipspace-config-info[] | List of ipspaces.

net-ping | [top]

> Ping a host. The API returns on the first successful ping of retry-count attempts. EHOSTNOTFOUND is returned if the host cannot be resolved. EONTAPI_EHOSTDOWN is returned if the host cannot be pinged. The interval between retries is 1 second. IPv6 is not supported at this time.

> Input Name | Range | Type | Description
> host-name-or-ip-address |  | string | The name or the IP address of the host to ping. The format is an IPv4 host name or an IP address.
> retry-count |  | integer optional | The number of pings to try before giving up. Default is 3. Range: [1..5]

> Errno | Description
> EHOSTNOTFOUND |  |

> Vfiler-enabled
> Yes

net-ping-info | [top]

> Ping a host. The API pings the host count times, and returns the number of successful pings and times. EHOSTNOTFOUND is returned if the host cannot be resolved. EHOSTNOCONTACT is returned if the host cannot be pinged. The interval between ping attempts is 1 second. IPv6 is not supported at this time.

> Input Name | Range | Type | Description
> host-name-or-ip-address |  | string | The name or the IP address of the host to ping. The format is an IPv4 host name or IP address.
> ping-count |  | integer optional | The number of pings. Default is 3. Range: [1..16]
> Output Name | Range | Type | Description
> packets-received |  | integer optional | The number of packets received. The number of packets lost is the packets-transmitted minus packets-received. Range: [0..16]
> packets-transmitted |  | integer optional | Number of packets transmitted. Should be equal to ping-count. Range: [1..16]
> round-trip-maximum-time |  | integer optional | Maximum time in microseconds for a round trip between the filer and the host if packets-recieved is greater than zero. Range: [0..2^31-1]
> round-trip-mean-time |  | integer optional | Mean time in microseconds for a round trip between the filer and the host if packets-recieved is greater than zero. Range: [0..2^31-1]
> round-trip-minimum-time |  | integer optional | Mimumum time in microseconds for a round trip between the filer and the host if packets-recieved is greater than zero. Range: [0..2^31-1]

> Errno | Description
> EHOSTNOTFOUND |  |

> Vfiler-enabled
> Yes

net-resolve | [top]

> Resolves a host name to one or more IP addresses. Returns an error code of gethostbyname_r if failed. Does not support IPv6 at this time.

> Input Name | Range | Type | Description
> host-name |  | string | Name of the host to be resolved.
> Output Name | Range | Type | Description
> ip-addresses |  | ip-address[] | The IP addresses of the host.

> Errno | Description
> EHOSTNOTFOUND |  |
> EHOST_BADCONFIGURE |  |
> EHOST_TRYAGAIN |  |
> EHOST_MISC |  |

> Vfiler-enabled
> Yes

net-reverse-resolve | [top]

> Resolves an IP address to one or more host names. Returns an error code of gethostbyaddr_r if failed. Does not support IPv6 at this time.

> Input Name | Range | Type | Description
> ip-address |  | string | IP address of the host to be resolved in dotted notation (for example, 10.56.10.125).
> Output Name | Range | Type | Description
> alias-names |  | host-name[] optional | The aliases of the host, if any.
> canonical-name |  | string optional | The canonical host name

> Errno | Description
> EHOSTNOTFOUND |  |
> EHOST_BADCONFIGURE |  |
> EHOST_TRYAGAIN |  |
> EHOST_MISC |  |

> Vfiler-enabled
> Yes

net-route-add | [top]

> Create a new kernel route. Does not modify persistent config.

> Input Name | Range | Type | Description
> route-info |  | route-info | Route to create.

> Errno | Description
> EROUTEEXISTS |  |
> EINVALIDINPUTERROR |  |
> EINVALIDROUTE |  |

> Vfiler-enabled
> Yes

net-route-delete | [top]

> Delete a kernel route. Does not modify persistent config.

> Input Name | Range | Type | Description
> route-info |  | route-info | Route to delete.

> Errno | Description
> EROUTENOTFOUND |  |

> Vfiler-enabled
> Yes

net-vlan-create | [top]

> Create a new vlan interface. In Data ONTAP 7-Mode, changes made by this API are not persisted across system reboots. In Data ONTAP Cluster-Mode, changes made by this API are persisted across system reboots.

> Input Name | Range | Type | Description
> vlan-info |  | vlan-info | Vlan to create.

> Errno | Description
> EVLANEXISTS |  |
> EINTERNALERROR |  |
> EINVALIDINPUTERROR |  |
> EINVALIDTAG |  |
> EINTERFACENOTFOUND |  |

net-vlan-delete | [top]

> Delete a vlan interface. In Data ONTAP 7-Mode, changes made by this API are not persisted across system reboots. In Data ONTAP Cluster-Mode, changes made by this API are persisted across system reboots.

> Input Name | Range | Type | Description
> vlan-info |  | vlan-info | Vlan to delete.

> Errno | Description
> EINTERFACENOTFOUND |  |

Element definition: host-info | [top]

> Contains name of the host to be resolved, hints will be provided in order to return more appropriate types of addresses, service name.

> Name | Range | Type | Description
> hints |  | net-address-info optional | Hints given to the name resolution server in order to return the right kind of socket that the caller supports or wishes to use.
> host-name |  | string optional | Name of the host that needs to be resolved.
> service-port |  | integer optional | This parameter is represents the port number of the service for which resolved address is intended to be used for. It can be a port number 80 for the service "http". Range:[0-65535]

Element definition: host-name | [top]

> Host name

> [none]

Element definition: interface-config-info | [top]

> Configuration for one interface.

> Name | Range | Type | Description
> aliases |  | ip-address-info[] optional | List of interface IP aliases. Cannot include ipv4 addresses if v4-primary-address is empty, and cannot include ipv6 addresses if v6_primary-address is empty (except for autoconfigured ipv6 addresses).
> dad-attempts |  | integer optional | Number of IPv6 Duplicate Address Detection attempts for this interface.
> flowcontrol |  | string optional | Specifies the flow control type. Possible values: {none | receive | send | full} The meaning of these values is: "none" (no flow control), "receive" (only receive flow control frames), "send" (only send flow control frames), and "full" (send and receive flow control frames). If the flowcontrol option is not specified, the default value is interface-dependent. Fiber Interfaces: If the interface detects that the link partner auto-negotiates, then the operational flow control setting is negotiated (and the configured or default setting for flow control is ignored). Not all interfaces have a flowcontrol (e.g. loopback does not) Default is NIC-specific.
> interface-name |  | string | Name of the interface.
> ipspace-name |  | string | Name of ipspace that the interface belongs to.
> is-enabled |  | boolean optional | Administrative status. (true: interface is administratively up). Default is true.
> is-nfo-enabled |  | boolean optional | true: network failover is configured for this interface. Default is false;
> is-trusted |  | boolean optional | true: interface is trusted. Default is true.
> is-wins-enabled |  | boolean optional | true: interface is advertised to the WINS server. Default is true.
> mac-address |  | string optional | Interface mac address. Not provided for "lo" or "vh" interfaces
> mediatype |  | string optional | Specifies the Ethernet media type used. Possible values: {tp | tp-fd | 100tx | 100tx-fd | 1000fx | 10g-sr | auto} 10/100, 100/1000, and 10/100/1000 Mbps Copper Interfaces: The acceptable types (which vary from card to card) are "tp" (Half-duplex 10BaseT RJ-45 twisted-pair), "tp-fd" (Full duplex 10Base-T RJ-45 twisted-pair), "100tx" (Half-duplex 100Base-T RJ-45 twisted-pair), "100tx-fd" (Full duplex 100Base-T RJ-45 twisted-pair), and "auto" (Auto RJ-45 twisted-pair). The default media type is set to "tp" or to "auto" where applicable. 1000 Mbps Fiber Interfaces: The Gigabit Ethernet Controllers only support the mediatype "auto". The Gigabit Ethernet Controllers only support full-duplex. 10G bps Fiber Interfaces: The 10G TOE/Ethernet Controllers support the mediatype "10g-sr" and "auto". The interface does not do auto-negotiatition, it only supports 10Gb speed, full duplex. Not all interfaces have a mediatype (e.g. loopback does not)
> mtusize |  | integer optional | Maximum Transfer Unit (MTU) of an interface. Range: 296-9196 Default is 1500.
> partner |  | string optional | Name of CFO partner interface that will failover to this interface. Default is no partner.
> port-role |  | string optional | Possible values: [mgmt|storage-acp|cluster|data]. Default is data. Mgmt role cannot be modified in 7Mode.
> v4-primary-address |  | ip-address-info optional | The primary ipv4 address for this interface If missing, it means the interface has no ipv4 addresses.
> v6-primary-address |  | ip-address-info optional | The primary ipv6 address for this interface If missing, it means the interface has no statically configured ipv6 addresses.

Element definition: ip-address | [top]

> One ip address, in dotted-decimal format (for example, "192.168.11.12"). If IPv6 address then, it should be in the format a:b:c:d:e:f:g:h (for example, fd20::44).

> [none]

Element definition: ipspace-config-info | [top]

> An IPSpace.

> Name | Range | Type | Description
> interface-list |  | string[] optional | List of interface names in the ipspace. An ipspace with no members is possible.
> ipspace-name |  | string | IPSpace name.

Element definition: net-address-info | [top]

> Holds host address information.

> Name | Range | Type | Description
> address-info-family |  | address-info-family optional | Denotes protocol family of the address.
> address-info-flags |  | address-info-flag[] optional | Specifies how returned sockaddr should be treated and how 'hostname' be treated.
> address-info-socket-type |  | address-info-socket-type optional | Denotes the type of socket for which address will be used. For example:stream socket/datagram socket.
> address-info-transport-protocol |  | address-info-transport-protocol optional | Denotes the type of transport protocol for which address will be used.
> canonical-name |  | string optional | Canonical name for hostname.
> ip-address |  | string | Resolved IP address string. May be IPv4 or IPv6. For example, 198.18.100.12 or fd20:8b1e:b255:104:230:48ff:fe8c:6326. No hostname resolution.

Element definition: net-config-info | [top]

> interface configurations and routes

> Name | Range | Type | Description
> config-status |  | config-status-info[] optional | status of net-config-info object, details of non-fatal errors Note: all the net zapis make a best effort and will return a successful result as long as they are partially successful. It is up to the client to inspect this status field and warn the user if problems were encountered.
> ifgrps |  | ifgrp-info[] optional | List of ifgrp interfaces.
> interfaces |  | interface-config-info[] | List of interface configurations.
> routes |  | route-info[] optional | List of static routes.
> vlans |  | vlan-info[] optional | List of vlan interfaces.

Element definition: net-dcb-entry-info | [top]

> DCB configuration information about a single network interface.

> Name | Range | Type | Description
> interface-dcb-entries |  | interface-dcb-entry-info[] | A list of priority group associated DCB configuration parameters for a single network interface.
> interface-name |  | string | The network interface name.

Element definition: net-dcb-priority-entry-info | [top]

> DCB configuration information indexed by the priority about a single network interface.

> Name | Range | Type | Description
> interface-dcb-priority-entries |  | interface-dcb-priority-entry-info[] | A list of DCB configuration parameters indexed by the priority.
> interface-name |  | string | The network interface name.

Element definition: route-info | [top]

> A kernel route.

> Name | Range | Type | Description
> addr-family |  | string | Address family. Possible values: {af-inet6 | af-inet}.
> creator |  | string | Entity responsible for creation of route. Possible values: "filer" if created by d-blade for default vfiler. "vfiler: " if created by d-blade for vfiler. "vserver: " if created by n-blade with cluster-wide scope.
> destination |  | ip-address-or-hostname | Destination of route. Possible values: An IP address, hostname, or "default".
> ipspace-name |  | string | IPSpace name. Must match the ipspace assigned to the creator.
> metric |  | integer | The route metric. Range: 0-10
> next-hop |  | ip-address | Next hop (router) IP address.
> prefixlen |  | integer optional | Prefix length (netmask) for destination. Range: 1..32 for af-inet and 1..128 for af-inet6.
> route-type |  | string optional | Possible values: "net" or "host".

Element definition: vlan-info | [top]

> vlan

> Name | Range | Type | Description
> gvrp-enabled |  | boolean optional | true: GVRP is enabled. Default is false. GVRP is deprecated and this attribute is ignored in cluster mode. GVRP is a standard vlan trunking protocol that enables a port to advertise which vlans it trunks, thereby decreasing traffic over the trunk. This protocol eliminates the need to manually configure vlan information on each switch in the network.
> interface-name |  | string optional | Name of vlan interface. The name must be of the format <parent-inteface>-<vlanid>
> parent-interface |  | string | The interface that hosts the vlan interface.
> vlanid |  | integer | The vlan id. Range: 1..4094.

Element definition: address-info-family | [top]

> Denotes protocol family of the address. Possible values: { af_unspec | af_local | af_unix |af_inet | af_implink | af_pup | af_chaos | af_ns | af_iso | af_osi | af_ecma | af_datakit | af_ccitt | af_sna | af_decnet | af_dli |af_lat | af_hylink | af_appletalk | af_route | af_link | pseudo_af_xtp | af_coip | af_cnt | pseudo_af_rtip | af_ipx | af_sip | pseudo_af_pip | af_inet6 } "af_unspec" - ipv4 or ipv6 address family. "af_local" - local to host (pipes, portals). "af_unix" - same as af_local backward compatibility "af_inet" - internetwork: udp, tcp, etc. "af_implink" - arpanet imp addresses "af_pup" - pup protocols: e.g. bsp "af_chaos" - mit chaos protocols "af_ns" - xerox ns protocols "af_iso" - iso protocols "af_osi" - same as af_iso backward compatibility "af_ecma" - european computer manufacturers "af_datakit" - datakit protocols "af_ccitt" - ccitt protocols, x.25 etc/ "af_sna" - ibm sna "af_decnet" - decnet "af_dli" - dec direct data link interface "af_lat" - lat "af_hylink" - nsc hyperchannel "af_appletalk" - apple talk "af_route" - internal routing protocol "af_link" - link layer interface "pseudo_af_xtp" - express transfer protocol (no af) "af_coip" - connection-oriented ip "af_cnt" - computer network technology "pseudo_af_rtip" - help identify rtip packets "af_ipx" - novell internet protocol "af_sip" - simple internet protocol "pseudo_af_pip" - help identify pip packets "af_inet6" - ipv6 address family

> [none]

Element definition: address-info-flag | [top]

> Each flag represents a filter criteria. For example if the "passive" flag is used then the returned address information shall be suitable for use in binding a socket for accepting incoming connections for the specified service. If the "canonical_name" flag is specified and the host-name argument is not null, the function shall attempt to determine the canonical name corresponding to host-name argument. Possible values are: { ai_passive | ai_canonname ai_numerichost | ai_all | ai_addrconfig | ai_vp4mapped | ai_addrconfig | ai_default }. "ai_passive" - get address to use bind(). "ai_canonname" - fill ai_canonname. "ai_numerichost" - prevent name resolution. "ai_all" - IPv6 and IPv4-mapped (with AI_V4MAPPED). "ai_vp4mapped_cfg" - accept IPv4-mapped if kernel supports. "ai_addrconfig" - only if any address is assigned. "ai_vp4mapped" - accept IPv4-mapped IPv6 address. "ai_default" - ( ai_vp4mapped_cfg | ai_addrconfig ). "numeric_host" can appear in any combination along with "all", "ip4_mapped_configuration", "address_configuration", and "ip4_mapped".

> [none]

Element definition: address-info-socket-type | [top]

> Denotes the type of socket for which address will be used. For example: stream socket/datagram socket. Possible values are: { sock_stream | sock_dgram | sock_raw | sock_rdm | sock_seqpacket | sock_stream_nonblk } "sock_stream" - stream socket. "sock_dgram" - datagram socket. "sock_raw" - raw protocol interface. "sock_rdm" - reliably delivered message. "sock_seqpacket" - sequenced packet stream. "sock_stream_nonblk" - sequenced packet stream non block.

> [none]

Element definition: address-info-transport-protocol | [top]

> Denotes the type of transport protocol for which address will be used. Possible values are: { ipproto_ip | iproto_hopopts | iproto_icmp | ipproto_igmp | ipproto_ggp | ipproto_ipv4 | ipproto_ipip | iproto_tcp | ipproto_egp | ipproto_pup | iprpoto_udp | ipproto_idp | ipproto_tp | ipproto_ipv6 | ipproto_routing | ipproto_fragment | ipproto_gre | iprpoto_esp | ipproto_ah | ipproto_icmpv6 | ipproto_none | ipproto_dstopts | ipproto_eon | ipproto_encap | ipproto_ssl | ipproto_ipcomp | ipproto_raw | ipproto_done } "ipproto_ip" - dummy for IP protocol type. "ipproto_hopopts" - IPv6 hop-by-hop options. "ipproto_icmp" - control message protocol. "ipproto_igmp" - group mgmt protocol "ipproto_ggp" - gateway protocol "ipproto_ipv4" - IPv4 encapsulation "ipproto_ipip" - for compatibility with IPV4 "ipproto_tcp" - transport control protocol "ipproto_egp" - Exterior gateway protocol "ipproto_pup" - pup "iprpoto_udp" - user datagram protocol "ipproto_idp" - xns idp "ipproto_tp" - tp-4 class negotiation "ipproto_ipv6" - IPv6 header "ipproto_routing" - IPv6 routing header "ipproto_fragment" - IPv6 fragmentation header "ipproto_gre" - Generic Routing Encapsulation "iprpoto_esp" - IPv6 Encap Sec. Payload "ipproto_ah" -IPv6 Auth Header "ipproto_icmpv6" ICMP6 "ipproto_none" - IPv6 no next header "ipproto_dstopts" - IPv6 destination option "ipproto_eon" - ISO cnlp "ipproto_encap" - encapsulation header "ipproto_ssl" ssl protocol "ipproto_ipcomp" - IP Payload Compression Protocol "ipproto_raw" - raw protocl "ipproto_done" - all job for this pkt is done

> [none]

Element definition: config-status-info | [top]

> status of net-config-info object being returned used to return non-fatal errors encountered

> Name | Range | Type | Description
> operation |  | string | Operation where error was encountered.
> status |  | string | Error status of config object.

Element definition: ifgrp-info | [top]

> ifgrp name, type, and components.

> Name | Range | Type | Description
> favored |  | string optional | interface that is favored. Only applies if ifgrp-type = single.
> ifgrp-policy |  | string optional | Possible values: [rr|mac|ip|port|single]. Default is ip.
> ifgrp-type |  | string | Possible values: [single|multi|lacp].
> interface-name |  | string | The interface name.
> links |  | link[] optional | array of interface names in interface group. An ifgrp with no members is possible.
> nofavored |  | string optional | interface that is not favored. Only applies if ifgrp-type = single.

Element definition: interface-config-info | [top]

> Configuration for one interface.

> Name | Range | Type | Description
> aliases |  | ip-address-info[] optional | List of interface IP aliases. Cannot include ipv4 addresses if v4-primary-address is empty, and cannot include ipv6 addresses if v6_primary-address is empty (except for autoconfigured ipv6 addresses).
> dad-attempts |  | integer optional | Number of IPv6 Duplicate Address Detection attempts for this interface.
> flowcontrol |  | string optional | Specifies the flow control type. Possible values: {none | receive | send | full} The meaning of these values is: "none" (no flow control), "receive" (only receive flow control frames), "send" (only send flow control frames), and "full" (send and receive flow control frames). If the flowcontrol option is not specified, the default value is interface-dependent. Fiber Interfaces: If the interface detects that the link partner auto-negotiates, then the operational flow control setting is negotiated (and the configured or default setting for flow control is ignored). Not all interfaces have a flowcontrol (e.g. loopback does not) Default is NIC-specific.
> interface-name |  | string | Name of the interface.
> ipspace-name |  | string | Name of ipspace that the interface belongs to.
> is-enabled |  | boolean optional | Administrative status. (true: interface is administratively up). Default is true.
> is-nfo-enabled |  | boolean optional | true: network failover is configured for this interface. Default is false;
> is-trusted |  | boolean optional | true: interface is trusted. Default is true.
> is-wins-enabled |  | boolean optional | true: interface is advertised to the WINS server. Default is true.
> mac-address |  | string optional | Interface mac address. Not provided for "lo" or "vh" interfaces
> mediatype |  | string optional | Specifies the Ethernet media type used. Possible values: {tp | tp-fd | 100tx | 100tx-fd | 1000fx | 10g-sr | auto} 10/100, 100/1000, and 10/100/1000 Mbps Copper Interfaces: The acceptable types (which vary from card to card) are "tp" (Half-duplex 10BaseT RJ-45 twisted-pair), "tp-fd" (Full duplex 10Base-T RJ-45 twisted-pair), "100tx" (Half-duplex 100Base-T RJ-45 twisted-pair), "100tx-fd" (Full duplex 100Base-T RJ-45 twisted-pair), and "auto" (Auto RJ-45 twisted-pair). The default media type is set to "tp" or to "auto" where applicable. 1000 Mbps Fiber Interfaces: The Gigabit Ethernet Controllers only support the mediatype "auto". The Gigabit Ethernet Controllers only support full-duplex. 10G bps Fiber Interfaces: The 10G TOE/Ethernet Controllers support the mediatype "10g-sr" and "auto". The interface does not do auto-negotiatition, it only supports 10Gb speed, full duplex. Not all interfaces have a mediatype (e.g. loopback does not)
> mtusize |  | integer optional | Maximum Transfer Unit (MTU) of an interface. Range: 296-9196 Default is 1500.
> partner |  | string optional | Name of CFO partner interface that will failover to this interface. Default is no partner.
> port-role |  | string optional | Possible values: [mgmt|storage-acp|cluster|data]. Default is data. Mgmt role cannot be modified in 7Mode.
> v4-primary-address |  | ip-address-info optional | The primary ipv4 address for this interface If missing, it means the interface has no ipv4 addresses.
> v6-primary-address |  | ip-address-info optional | The primary ipv6 address for this interface If missing, it means the interface has no statically configured ipv6 addresses.

Element definition: interface-dcb-entry-info | [top]

> DCB configuration information about a priority group.

> Name | Range | Type | Description
> application |  | string | Application assigned to the specified priority group.
> bandwidth-percentage |  | integer | Bandwidth assigned to the specified priority group. Range: [0..100]
> priority-entries |  | priority-entry-info[] | A list of DCB priorities associated to the specified priority group.
> priority-group-id |  | integer | The Priority Group ID. A priority group is a group of priorities bound together by management for the purpose of bandwidth allocation. All priorities in a single group are expected to have similar traffic handling requirements (e.g. latency or frame loss). Range: [0..15]

Element definition: interface-dcb-priority-entry-info | [top]

> DCB configuration information about a priority.

> Name | Range | Type | Description
> application |  | string | Application assigned to a specified priority group.
> is-flow-control-enabled |  | boolean | TRUE: the flow control is enabled on a specific priority.
> priority |  | integer | The DCB priority. Range: [0..7]
> priority-group-id |  | integer | The priority group ID. A priority group is a group of priorities bound together by management for the purpose of bandwidth allocation. All priorities in a single group are expected to have similar traffic handling requirements (e.g. latency or frame loss). Range: [0..15]

Element definition: ip-address | [top]

> One ip address, in dotted-decimal format (for example, "192.168.11.12"). If IPv6 address then, it should be in the format a:b:c:d:e:f:g:h (for example, fd20::44).

> [none]

Element definition: ip-address-info | [top]

> A configured IP Address

> Name | Range | Type | Description
> addr-family |  | string | Address family. Possible values: {af-inet6 | af-inet}.
> address |  | ip-address-or-hostname | IP address.
> broadcast |  | ip-address optional | broadcast address. Default if not specified is computed from IP address and netmask. Not used for IPV6. Must be consistent with netmask.
> creator |  | string | Entity responsible for creation of address. "vfiler:" if created by d-blade for vfiler. "vserver:" if created by n-blade with cluster-wide scope.
> lif-type |  | string optional | type of LIF. Possible values are 7G, Data, Cluster, Mgmt, ClusMgmt, InterCluster
> netmask-or-prefix |  | netmask-or-prefix optional | netmask or prefix Default if not specified is autogenerated classful.
> no-ddns |  | boolean optional | true: the address is not advertised to ddns. Default if not specified is true.

Element definition: ip-address-or-hostname | [top]

> IP address string. For example, 198.18.100.12, or "`hostname`-e0c" (backquoted hostname is allowed) or "toaster" (assuming toaster resolves to an IP address) or fd20:8b1e:b255:104:230:48ff:fe8c:6326

> [none]

Element definition: ip-address | [top]

> One ip address, in dotted-decimal format (for example, "192.168.11.12"). If IPv6 address then, it should be in the format a:b:c:d:e:f:g:h (for example, fd20::44).

> [none]

Element definition: link | [top]

> ifgrp sub-interface name

> [none]

Element definition: netmask-or-prefix | [top]

> netmask. Possible values: dotted decimal or hex integer (range: 0x1 .. 0xffffffff) or '/' followed by hex integer (range: 0x1 .. 0x40) Default if not specified is classful: Class A address - 255.0.0.0 or 0xff000000 or /8 Class B address - 255.255.0.0 or 0xffff0000 or /16 Class C address - 255.255.255.0 or 0xffffff00 or /24 IPV6 address prefix - /1 through /128

> [none]

Element definition: priority-entry-info | [top]

> A priority associated to the specified priority group.

> Name | Range | Type | Description
> priority |  | integer | The priority associated with the specified priority group. Range: [0..7]